Dev GuideAPI Reference
Dev GuideAPI ReferenceUser GuideNuGetDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

Update a webhook

Path Params
int64
required

Client ID

int64
required

Webhook ID

Form Data
string

User name for Basic HTTP Authentication. This parameter is deprecated and might be removed in the near future. Please use <authentication> instead.

string

Password for Basic HTTP Authentication. This parameter is deprecated and might be removed in the near future. Please use <authentication> instead.

string
enum
required

Event data type

string
enum
required

Data format in which the event data is to be sent

Allowed:
string

Authentication method and attributes as json.
Current types are:

{"type":"none"}

or

{"type":"basicAuth","userName":"xxxxxxx","password":"xxxxxxx"}

or

{"type":"keyAuth","key":"Authorization","passphrase":"Bearer xxxxxxx"}
string
required

Target URL to which the event data is to be sent

Note: The URL must be accessible and able to receive data via HTTP POST requests from the IP address 193.169.180.1 at any time. Use the current HTTPS version and standard port 443 for HTTPS connections.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

The webhook "webhookId" cannot be updated

404

The webhook could not be found. Ensure that the required parameters such as "webhookId" are correct and the webhook exists.

409

The webhook ID is not assigned to the current client.

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/vnd.optivo.broadmail.v1+json